## Setting up Icinga Classic UI

Icinga 2 can write `status.dat` and `objects.cache` files in the format that
is supported by the Icinga 1.x Classic UI. External commands (a.k.a. the
"command pipe") are also supported. It also supports writing Icinga 1.x
log files which are required for the reporting functionality in the Classic UI.

### Installing Icinga Classic UI

You can download and build Icinga 1.x Classic UI in standalone mode using the
following commands:

    $ wget http://downloads.sourceforge.net/project/icinga/icinga/1.10.0/icinga-1.10.0.tar.gz
    $ tar xzf icinga-1.10.0.tar.gz ; cd icinga-1.10.0
    $ ./configure --enable-classicui-standalone --prefix=/usr/local/icinga2-classicui
    $ make classicui-standalone

Once you've built Classic UI you can install it:

    # make install-classicui-standalone install-classicui-standalone-conf install-webconf-auth
    # service apache2 restart

> **Note**
>
> A detailed guide on installing Icinga 1.x Classic UI Standalone can be
> found on the Icinga Wiki here:
> [https://wiki.icinga.org/display/howtos/Setting+up+Icinga+Classic+UI+Standalone](https://wiki.icinga.org/display/howtos/Setting+up+Icinga+Classic+UI+Standalone)

### Configuring Icinga 2

By default Icinga 2 does not write `status.dat` and `objects.cache` files which are used
by the Classic UI. The command pipe is also not enabled by default.

You can use icinga2-enable-feature to enable these features:

    # icinga2-enable-feature statusdata
    # icinga2-enable-feature compatlog
    # icinga2-enable-feature command

After enabling these features you will need to restart Icinga 2:

    # /etc/init.d/icinga2 restart

You should be able to find the `status.dat` and `objects.cache` files in
`/var/cache/icinga2`. The log files can be found in `/var/log/icinga2/compat`.
The command pipe can be found in `/var/run/icinga2/cmd/icinga2.cmd`.

### Configuring the Classic UI

After installing the Classic UI you will need to update the following
settings in your `cgi.cfg` configuration file in the `STANDALONE (ICINGA 2)
OPTIONS` section:

  Configuration Setting               |Value
  ------------------------------------|------------------------------------
  object\_cache\_file                 |/var/cache/icinga2/objects.cache
  status\_file                        |/var/cache/icinga2/status.dat
  resource\_file                      |-
  command\_file                       |/var/run/icinga2/cmd/icinga2.cmd
  check\_external\_commands           |1
  interval\_length                    |60
  status\_update\_interval            |10
  log\_file                           |/var/log/icinga2/compat/icinga.log
  log\_rotation\_method               |h
  log\_archive\_path                  |/var/log/icinga2/compat/archives
  date\_format                        |us
  ------------------------------------ ------------------------------------

> **Note**
>
> Depending on how you installed Icinga 2 some of those paths and options
> might be different.

In order for commands to work you will need to add your web server user to
the `icingacmd` group:

    # usermod -a -G icingacmd www-data

> **Note**
>
> Change `www-data` to the user name your web server is running as.

Verify that your Icinga 1.x Classic UI works by browsing to your Classic
UI installation URL, e.g.
[http://localhost/icinga](http://localhost/icinga)
