## Logging

Icinga 2 supports three different types of logging:

* File logging (local Icinga 2 log file)
* Syslog facility logging (system's syslog application)
* Console logging (`STDOUT` on tty)

> **Note**
>
> You can define multiple logging objects at once.

The most common scenario will be logging Icinga 2's output to
syslog with severity `information`.

    object SyslogLogger "syslog" {
      severity = "information"
    }

For debugging purposes you can install a `FileLogger` object
and forward the `debug` serverity into an Icinga 2 debug file.

    object FileLogger "debug-file" {
      severity = "debug",
      path = "/var/log/icinga2/debug.log"
    }

If you're starting Icinga 2 not as daemon, but in foreground
using `/usr/sbin/icinga2 -c /etc/icinga2/icinga2.conf` you may
want to enable console logging temporary too.

    object ConsoleLogger "debug-console" {
      severity = "debug"
    }



